while(1)

NAME
while - perform a command multiple times

  Synopsis
while CONDITION; COMMANDS...; end

  Description
The while builtin causes fish to continually execute CONDITION and execute COMMANDS as long as CONDITION returned with status 0. If CONDITION is false on the first time, COMMANDS will not be executed at all. Hints: use begin; ...; end for complex conditions; more complex control can be achieved with while true containing a break.

  Example
while test -f foo.txt; echo file exists; sleep 10; end

causes fish to print the line 'file exists' at 10 second intervals as long as the file foo.txt exists.